Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.rules.advislets
Class RuleResultClassFilter

    java.lang.Object
      com.bea.p13n.rules.manager.RuleResultClassFilter
          com.bea.p13n.rules.advislets.RuleResultClassFilter

All Implemented Interfaces
  ObjectFilter, Serializable

Direct Known Subclasses:
  ActionDefResultObjectFilter, ClassificationResultObjectFilter

Deprecated moved to com.bea.p13n.rules.manager.RuleResultClassFilter

    public class RuleResultClassFilter

extends RuleResultClassFilter

See Also
  `RuleResultClassFilter`, Serialized Form

Constructor Summary
`RuleResultClassFilter(String ruleName, Class targetClass)` Deprecated moved to com.bea.p13n.rules.manager.RuleResultClassFilter
`RuleResultClassFilter(String ruleName, Class[] targetClassArray)` Deprecated moved to com.bea.p13n.rules.manager.RuleResultClassFilter

Method Summary

Methods inherited from class com.bea.p13n.rules.manager.RuleResultClassFilter
`filter, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuleResultClassFilter

    public RuleResultClassFilter(String ruleName,
                                 Class targetClass)

  Deprecated moved to com.bea.p13n.rules.manager.RuleResultClassFilter

  See Also
    `RuleResultClassFilter`

### RuleResultClassFilter

    public RuleResultClassFilter(String ruleName,
                                 Class[] targetClassArray)

  Deprecated moved to com.bea.p13n.rules.manager.RuleResultClassFilter

  See Also
    `RuleResultClassFilter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved